Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008826opensim[GRID] Hypergridpublic2020-12-01 17:512020-12-21 10:17
ReporterKris Spade 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusnewResolutionopen 
PlatformOperating SystemOperating System Version
Product Version 
Target VersionFixed in Version 
Summary0008826: Alpha mode on BoM body changes to "none" from masking or alpha when HG hopping (even if no mod).
DescriptionWhen hypergrid hopping to another grid, I often experience the alpha mode on my BOM body reverts from whatever alpha setting it has applied, to "none." This causes the inventory based alpha layers to cease functioning. I had been using alpha masking with a cutoff of 20 so it doesn't interfere with a neck blender I'm using that utilizes alpha blending. Often I am able to edit the body and switch it back to alpha masking, from none, but in some regions as soon as I do that it reverts back to none. I went as far as sending myself a no mod version of the same body from another account, and even when it's no mod, the server seems to somehow be able to change it from alpha masking to none. I went ahead and tried to set it to alpha blending instead of masking and removed the neck fader, and the issue still persists. It seems odd that this could be changed on a no mod version of the body. Additionally, I went ahead and created an account on a completely different grid, with a different server version, and continued to experience the problem. There was *one* thing I could do in order to force this not to change to none, and that was setting transparency to %1 (which keeps it in blending mode) but this is not ideal for a number of reasons, and also exposes my manually applied specular map where the alphas are beyond the
Steps To ReproduceWear a baked on mesh body with an alpha setting of masking, or blending, hop to another grid, and see it revert from those settings to none (which causes your clothing to poke out being that it disables inventory based alphas).
Additional InformationHome Grid: OpenSim 0.9.2.0 Yeti Dev (Win/.NET)
Secondary Grid: 0.9.1.1 Snail Release (Win/.NET)

Tertiary Grid where this continues to occur (along with many others): OpenSim 0.9.2.0 Yeti Dev OSgrid 0.9.2.0 Yeti Dev b598573f41: 2020-05-22 16:55:20 +0100 (Unix/Mono)
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
Script EngineXEngine
EnvironmentUnknown
Mono VersionNone
ViewerFirestorm 6.4.5.60799
Attached Files

- Relationships

-  Notes
(0037288)
UbitUmarov (administrator)
2020-12-02 00:54
edited on: 2020-12-02 00:54

Made a fast test and did arrive with material setting, in the case a alpha mask.
HG assets sharing is still a issue. it is a slow operation, and we still do it at the wrong time.
Also materials are a bit special assets. After a change they will stay only local for a short time, to prevent uploading assets while we are still editing them (like scrolling on mask value) so a tp within lets say a minute(?) may not have the material ready.
So considering this as part of current, still unsolved, HG issues
The HG teleport protocol may need to change.

(0037303)
Kris Spade (reporter)
2020-12-02 11:51

It didn't seem to be an issue of the asset sharing. They were in fact there, and working, what is happening is that a change is being made to the mesh itself, the alpha setting changing from masking or blending, to none on the object itself. When flipped back to masking or blending (if it sticks) it appears just fine, and the alphas do their job as expected.
(0037304)
UbitUmarov (administrator)
2020-12-02 11:57

the alpha setting is on a material asset not the mesh
sure the prim that holds the mesh may be losing the material reference somehow
i tested btw 2 up to date versions (master 0.9.2) and seen no issue, but on hg that is far from conclusive test
(0037305)
UbitUmarov (administrator)
2020-12-02 12:29

went to kitely (mod 0.9.1.1) with alpha set to mask, cutoff 220
arrived with it, and on return home, still had it
(0037306)
Kris Spade (reporter)
2020-12-02 12:30

Oh I see what you mean, thank you for clearing that up. I did recently have this happen *without* HG hopping when adding an animation HUD, and when successfully changing it from none to masking there was no visible change until I relogged.
(0037307)
Kris Spade (reporter)
2020-12-02 12:40

I'm not sure if this is helpful, but I was on an OSGrid region, where there were a bunch of NPCs. I was there for a couple hours with no issue, and nobody else in the region. As *soon* as the region owner arrived on the region, the alpha setting switched to none. I tried to toggle it back there, but as soon as I did it would immediately revert back in the material settings window. I teleported back to my home grid to make the change, which was successful, but the very moment I teleported back with the region owner there, it reverted back to none. I'm not sure if other "real" agents in the region has an affect on this or not, but something to note.
(0037308)
UbitUmarov (administrator)
2020-12-02 13:52

now that is vodooo
(0037309)
UbitUmarov (administrator)
2020-12-02 14:30

sorry what viewer are you using?
(0037310)
Kris Spade (reporter)
2020-12-02 17:56

Firestorm 6.4.5.60799, the latest public Beta for Opensim (only version that supports EEP, which I am a huge fan of, especially since it's arrival on Opensim).
(0037311)
Kris Spade (reporter)
2020-12-02 17:59
edited on: 2020-12-02 18:48

It never really occurred to me it could be a viewer issue though, as this change can happen even on a no-mod body. This was my first attempt at a quick fix, that failed. You shouldn't be able to adjust material settings if the object is set to no-modify with a buggy viewer; if you can, I think there could be bigger issues at hand.

(0037313)
Kris Spade (reporter)
2020-12-04 10:46

I just recently had this happen to be again without HG hopping. I didn't notice anything in particular that might have triggered it. It does seem to happen more frequently when hopping to another HG, but seems it is not completely limited to that.
(0037314)
beqjanus (reporter)
2020-12-04 11:15
edited on: 2020-12-04 12:41

Ironically, that viewer, incorporates a bugfix from the lab that is intended to address the risk of this.

This happens on SL as well. The scenario tends to be that two people are present, at least one has edit rights on the objects that get affected.

It is not yet clear to me whether this is viewer specific, or interaction-based (race condition) exposing an issue in the API/protocol.

EDIT:
Double checked and that patch is not yet in FS because it has not been released by the Lab through their QA.

(0037315)
Kris Spade (reporter)
2020-12-04 12:31

I would guess the latter, I have a lot more cumulative time in SL with the same assets experiencing the problem on Opensim and have yet to run into the issue there with them.
(0037412)
Kris Spade (reporter)
2020-12-21 10:17

Just an update on this, this actually occurred today for me on Second Life for the first time ever, so it seems it's possible there, just very rare. This will be difficult to pinpoint/duplicate since it's only happened one time in months, but if I can find a way for this to consistently occur I will file a JIRA ... if the issue is corrected, and determined a server side thing, I suppose we can go from there.

- Issue History
Date Modified Username Field Change
2020-12-01 17:51 Kris Spade New Issue
2020-12-02 00:54 UbitUmarov Note Added: 0037288
2020-12-02 00:54 UbitUmarov Note Edited: 0037288 View Revisions
2020-12-02 11:51 Kris Spade Note Added: 0037303
2020-12-02 11:57 UbitUmarov Note Added: 0037304
2020-12-02 12:29 UbitUmarov Note Added: 0037305
2020-12-02 12:30 Kris Spade Note Added: 0037306
2020-12-02 12:40 Kris Spade Note Added: 0037307
2020-12-02 13:52 UbitUmarov Note Added: 0037308
2020-12-02 14:30 UbitUmarov Note Added: 0037309
2020-12-02 17:56 Kris Spade Note Added: 0037310
2020-12-02 17:59 Kris Spade Note Added: 0037311
2020-12-02 18:39 Kris Spade Note Edited: 0037311 View Revisions
2020-12-02 18:48 Kris Spade Note Edited: 0037311 View Revisions
2020-12-04 10:46 Kris Spade Note Added: 0037313
2020-12-04 11:15 beqjanus Note Added: 0037314
2020-12-04 12:31 Kris Spade Note Added: 0037315
2020-12-04 12:41 beqjanus Note Edited: 0037314 View Revisions
2020-12-21 10:17 Kris Spade Note Added: 0037412


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker